<template>
  <div class="collapse-section">
    <div class="container">
      <el-collapse v-model="active" accordion>
        <el-collapse-item
          v-for="collapse in collapse_list"
          :key="collapse.title"
          :title="collapse.title"
          :name="collapse.title"
        >
          <div class="body1">{{ collapse.text }}</div>
        </el-collapse-item>
      </el-collapse>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    collapse_list: {
      type: Array,
      default: () => {
        return [];
      },
    },
  },
  data() {
    return {
      active: "",
    };
  },
};
</script>

<style lang="scss" scoped>
.collapse-section {
  padding: 80px 0;
  @include media-breakpoint(mobile) {
    padding: 40px 0;
  }
  .el-collapse {
    border-color: $color-program-architecture;
    ::v-deep {
      .el-collapse-item__header {
        border-color: $color-program-architecture;
        font-weight: bold;
        font-size: 38px;
        line-height: 44px;
        height: auto;
        padding: 24px 0;
        @include media-breakpoint(mobile) {
          font-size: 21px;
        }
        .el-icon-arrow-right {
          color: $color-program-architecture;
          font-size: 30px;
          font-weight: bold;
          @include media-breakpoint(mobile) {
            font-size: 24px;
          }
        }
      }
      .el-collapse-item__wrap {
        border-color: $color-program-architecture;
      }
      .el-collapse-item__content {
        padding: 24px 0;
      }
    }
  }
}
</style>
